Get an SSE stream token

Returns a short-lived token for opening this session's Server-Sent Events stream. The events endpoint is authenticated by this token rather than your API key, so it can be opened directly from a browser EventSource. Fetch a token, then connect to GET /sessions/{session_id}/events?token=....

Required scope: intelligence:read

Path Parameters
  • session_id
    Type: string · Session Id
    required

    The session identifier returned when the session was created.

Responses
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/sessions/{session_id}/stream-token
curl 'https://api.simwood.com/intelligence/v1/sessions/{session_id}/stream-token' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "token": "string"
}